Piwigo Bugtracker

Viewing Issue Advanced Details Jump to Notes ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0002352 [Piwigo] web API minor always 2011.06.18 22:44 2011.11.04 22:27
Reporter anthony43 View Status public  
Assigned To plg
Priority normal Resolution fixed Platform all
Status closed   OS all
Projection none   OS Version all
ETA none Fixed in Version 2.3.1 Product Version 2.3.0beta1
  Target Version 2.3.1 Product Build
Summary 0002352: Piwigo remote API : possibility to get a category thumbnail url ?
Description hello all,
I was just wondering if it was possible in piwigo remote api, to get the category thumbnail image ?
actually, working on regalandroid, thanks to somebody contribution, I'm about to show the user the thumbnails of the albums while browsing (today it is a static pic. representing an album) ; for g3...
So if I can get the category thumbnail image url (in my browser, I can set an image as a gallery thumbnail setting it as "Choisir comme representante de cet album") , while getting the categories, I could also implement it for piwigo galleries...

Thank you
Steps To Reproduce * call pwg.categories.getList
* for each categories returned, you should have a field "thumbUrl" that would contain a link to the thumbnail version of the image chosen as representative of the category
Additional Information according to mystic100 that's a thing that could be implemented in the pwg.categories.getList method

http://piwigo.org/forum/viewtopic.php?id=17694 [^]
Tags No tags attached.
browser any
Database engine and version
PHP version
Web server Apache 1.3.x
Attached Files

- Relationships

-  Notes
(0005751)
svn (reporter)
2011.11.03 16:43

[Subversion] r12537 by plg on branch 2.3

-----[Subversion commit log]----------------------------------------------------
feature 2352 added: pwg.categories.getList now returns a tn_url parameter.
This is the album thumbnail.

Warning: if the API method is called with $params['public'], the album
thumbnail may be not accurate. The thumbnail can be viewed by the connected
user, but maybe not by the guest. Changing the filtering method would be too
complicated for now. We will simply avoid to persist the
user_representative_picture_id in the database if $params['public']
(0005752)
svn (reporter)
2011.11.03 21:47

[Subversion] r12539 by plg on branch 2.3

-----[Subversion commit log]----------------------------------------------------
feature 2352: a bug had been introduced by r12537, the piwigo_user_cache_categories.count_categories
was missing (the list of albums was not refreshing correctly on the upload form)
(0005755)
svn (reporter)
2011.11.04 22:22

[Subversion] r12543 by plg on trunk

-----[Subversion commit log]----------------------------------------------------
merge r12537 from branch 2.3 to trunk

feature 2352 added: pwg.categories.getList now returns a tn_url parameter.
This is the album thumbnail.

Warning: if the API method is called with $params['public'], the album
thumbnail may be not accurate. The thumbnail can be viewed by the connected
user, but maybe not by the guest. Changing the filtering method would be too
complicated for now. We will simply avoid to persist the
user_representative_picture_id in the database if $params['public']

(0005756)
svn (reporter)
2011.11.04 22:27

[Subversion] r12544 by plg on trunk

-----[Subversion commit log]----------------------------------------------------
merge r12539 from branch 2.3 to trunk

feature 2352: a bug had been introduced by r12537, the piwigo_user_cache_categories.count_categories
was missing (the list of albums was not refreshing correctly on the upload form)


- Issue History
Date Modified Username Field Change
2011.06.18 22:44 anthony43 New Issue
2011.06.18 22:44 anthony43 browser => any
2011.06.18 22:44 anthony43 Web server => Apache 1.3.x
2011.10.24 16:41 plg Assigned To => plg
2011.10.24 16:41 plg Status new => assigned
2011.10.24 16:41 plg Target Version => 2.3.1
2011.10.24 18:16 anthony43 Issue Monitored: anthony43
2011.11.03 11:32 plg Additional Information Updated
2011.11.03 16:43 svn Checkin
2011.11.03 16:43 svn Note Added: 0005751
2011.11.03 21:47 svn Checkin
2011.11.03 21:47 svn Note Added: 0005752
2011.11.04 22:22 svn Checkin
2011.11.04 22:22 svn Note Added: 0005755
2011.11.04 22:27 svn Checkin
2011.11.04 22:27 svn Note Added: 0005756
2011.11.04 22:27 plg Status assigned => closed
2011.11.04 22:27 plg Resolution open => fixed
2011.11.04 22:27 plg Fixed in Version => 2.3.1


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Contact
Powered by Mantis Bugtracker